Bug 449842 - Review Request: trac-xmlrpc-plugin - XML-RPC plugin for Trac
Review Request: trac-xmlrpc-plugin - XML-RPC plugin for Trac
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 16:50 EDT by Jesse Keating
Modified: 2013-01-09 22:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 09:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-06-03 16:50:12 EDT
Spec URL: http://jkeating.fedorapeople.org/review/trac-xmlrpc-plugin.spec
SRPM URL: http://jkeating.fedorapeople.org/review/trac-xmlrpc-plugin-0.1-0.1.20080528svn3074.fc9.src.rpm
Description:
This Trac plugin provides support for xmlrpc.
Comment 1 Nigel Jones 2008-06-03 17:55:39 EDT
Per comment on Bug #449840:

I'll pick up this review, I believe you need to depend on
python-setuptools-devel now (per
http://fedoraproject.org/wiki/Packaging/Python/Eggs#Providing_Eggs_using_Setuptools)
for F9+

Ricky's python-dictclient spec file recently passed review w/ it doing this way
(http://cvs.fedoraproject.org/viewcvs/rpms/python-dictclient/F-8/python-dictclient.spec?rev=1.1&view=markup)
as an example.

Full review coming up.
Comment 2 Nigel Jones 2008-06-03 18:23:07 EDT
MUST:
Y: rpmlint on each package
trac-xmlrpc-plugin.noarch: W: no-documentation
Y: Meets Package Naming Guidelines
Y: Spec file name matches base package name
Y: License field is valid
Y: Meets Packaging Guidelines
 -: License included in package (if included in source)
 Y: Spec file written in en_US
 Y: Spec file is legible
 Y: Sources match upstream source
 Y: Source URL 'sane'
 Y: Compiles successfully - [F9 (noarch), Rawhide (noarch)]
 -: ExcludeArch required?
 Y: All Build Dependencies Listed
 -: Handles locales sanely
 -: Library packages run ldconfig
 Y: Package is not relocatable
 -: Package owns all directories created
 Y: No duplicate file listings
 Y: defattr set correctly
 Y: %clean is used
 Y: Macro use conisistant
 Y: Contains Code/Content that is allowed
 -: Large Documentation in -doc subpackage
 Y: %doc must not affect package runtime
 -: Header files in -devel
 -: Static libraries in -static
 -: pkgconfig files require pkgconfig
 -: Library files are located in correct package
 -: -devel requires base package w/ fully versioned dependency
 -: Packages do not contact .la (libtool) archives
 -: GUI Apps have .desktop files
 Y: No duplicate directory ownerships
 Y: %install cleans buildroot
 Y: Filenames are valid UTF-8

SHOULD:
-: Description/Summary sections contain translations
Y: Builds in mock/koji
Y: Builds on all architectures
-: Scriptlets are sane
-: Subpackages require base package
-: pkgconfig.pc files in -devel
-: File dependencies should only be in /etc /bin /sbin /usr/bin /usr/sbin

Same moans as with Bug #449840, lack of COPYING file but this time, no
documentation at all, non blocker though.

It'd be nice to see python-setuptools-devel pulled in by BR but as mentioned, it
doesn't block the build.

Here's your APPROVED ticket, please take it to the next counter (CVS).
Comment 3 Jesse Keating 2008-06-09 10:44:16 EDT
After investigation, it is no longer necessary to pull in
python-setuptools-devel.  That's only necessary if you want the command line
executed easy_install, which we do not need since we're using python setup.py
and setuptools directly.

New Package CVS Request
=======================
Package Name: trac-xmlrpc-plugin
Short Description: XML-RPC plugin for Trac
Owners: jkeating
Branches: EL-5
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-06-10 12:59:06 EDT
cvs done.
Comment 5 Jesse Keating 2008-06-13 09:43:18 EDT
Turns out this was already in Fedora, closing it.

Note You need to log in before you can comment on or make changes to this bug.